package edu.nyu.scps.result;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class GetterActivity extends Activity {

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.getter);	//the file res/layout/getter.xml

		final TextView textView = (TextView)findViewById(R.id.textView);
		final EditText editText = (EditText)findViewById(R.id.editText);
		final Button button = (Button)findViewById(R.id.button);

		//The Intent that launched this Activity.
		Intent intent = getIntent();
		textView.setText(intent.getStringExtra("prompt"));
		final int radix = intent.getIntExtra("radix", 10);

		button.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {

				//This Intent will carry the result of this Activity
				//back to the ResultActivity.
				Intent intent = new Intent();
				int i = 0;

				try {
					i = Integer.parseInt(editText.getText().toString(), radix);
				}
				catch (NumberFormatException numberFormatException) {
					Toast.makeText(GetterActivity.this, numberFormatException.toString(), Toast.LENGTH_LONG).show();
					return;	//Do not accept the string of characters.
				}

				//Accept the string of characters.
				intent.putExtra("value", i);
				GetterActivity.this.setResult(Activity.RESULT_OK, intent);
				GetterActivity.this.finish();
			}
		});
	}

}
