package edu.nyu.scps.result;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.text.SpannableString;
import android.text.style.UnderlineSpan;
import android.widget.TextView;

public class ResultActivity extends Activity {
	//The GetterActivity never sees these codes.
	private static final int REQUEST_LEFT = 0;
	private static final int REQUEST_RIGHT = 1;

	private final int radix = 10;	//or try 16
	private int left, right;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		Intent intent = new Intent(this, GetterActivity.class);
		intent.putExtra("prompt", "Please type the first integer:");
		intent.putExtra("radix", radix);
		startActivityForResult(intent, REQUEST_LEFT);
	}

	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		super.onActivityResult(requestCode, resultCode, data);

		if (resultCode == RESULT_OK) {
			switch (requestCode) {
			case REQUEST_LEFT:
				left = data.getIntExtra("value", 0);
				Intent intent = new Intent(this, GetterActivity.class);
				intent.putExtra("prompt", "Please type the second integer:");
				intent.putExtra("radix", radix);
				startActivityForResult(intent, REQUEST_RIGHT);
				break;

			case REQUEST_RIGHT:
				right = data.getIntExtra("value", 0);
				final TextView textView = (TextView)findViewById(R.id.textView);
				textView.setText(String.format(" %11s\n", Integer.toString(left, radix)));
				final String line = String.format("+%11s\n", Integer.toString(right, radix));

				//Underline the above line.
				final SpannableString spannableString = new SpannableString(line);
				spannableString.setSpan(new UnderlineSpan(), 0, spannableString.length(), 0);
				textView.append(spannableString);

				textView.append(String.format(" %11s", Integer.toString(left + right, radix)));
				break;

			default:
				break;
			}
		}
	}
}